--
--  AppDelegate.applescript
--  fullScreenTest
--
--  Created by Takaaki Naganoya on 2020/05/21.
--  Copyright  2020 Takaaki Naganoya. All rights reserved.
--

script AppDelegate
	property parent : class "NSObject"
	
	-- IBOutlets
	property theWindow : missing value
	property theWindowView : missing value
	
	on applicationWillFinishLaunching:aNotification
		-- Insert code here to initialize your application before any files are opened
	end applicationWillFinishLaunching:
	
	on applicationShouldTerminate:sender
		-- Insert code here to do any housekeeping before your application quits 
		return current application's NSTerminateNow
	end applicationShouldTerminate:
	
	on clicked:aSender
		set fMode to (theWindowView's inFullScreenMode) as boolean
		if fMode = true then
			theWindowView's exitFullScreenModeWithOptions:(missing value)
		else
			theWindowView's enterFullScreenMode:(current application's NSScreen's mainScreen()) withOptions:(missing value)
		end if
	end clicked:
end script
